---
title: "Nonforfeiture"
url: "https://developers.zinnia.com/apis/policy-transactions-1-0-2/versions/d0006570-ab9d-464e-814f-d120ba425e84/schemas/Nonforfeiture"
---

> Full API specification: https://developers.zinnia.com/apis/policy-transactions-1-0-2/versions/d0006570-ab9d-464e-814f-d120ba425e84.md

# Nonforfeiture

## OpenAPI definition

```yaml
openapi: 3.1.0
info:
  title: Zinnia Policy Transactions API.
  version: 1.0.8
servers:
  - url: https://dev.api.zinnia.io
    description: DEV Environment
  - url: https://qa.api.zinnia.io
    description: QA Environment
components:
  schemas:
    Nonforfeiture:
      type: object
      properties:
        planCode:
          type: string
          example: string
          description: planCode (may duplicate path parameter)
        policyNumber:
          type: string
          example: string
          description: policyNumber (may duplicate path parameter)
        correlationId:
          type: string
          example: string
        carrierId:
          type: string
          example: string
        policyFeatures:
          type: array
          items:
            type: object
            properties:
              featureType:
                type: string
                example: string
              featureOption:
                type: string
                example: string
              startDate:
                type: string
                example: YYYY-MM-DD
        signatures:
          type: array
          items:
            type: object
            properties:
              isSignedPresent:
                type: boolean
                example: true
              signDate:
                type: string
                example: YYYY-MM-DD
              signDesignation:
                type: string
                example: string
              signType:
                type: string
                example: string
              signTypeForUI:
                type: string
                example: string
        documents:
          type: array
          items:
            type: object
            properties:
              documentId:
                type: string
                example: string
              documentType:
                type: string
                example: string
              documentDate:
                type: string
                example: YYYY-MM-DD
              caseId:
                type: string
                example: string
              policyNumber:
                type: string
                example: string
                description: policyNumber (may duplicate path parameter)
              planCode:
                type: string
                example: string
                description: planCode (may duplicate path parameter)
        supportingDocumentAttached:
          type: boolean
          example: true
        parties:
          type: array
          items:
            type: object
            properties:
              partyId:
                type: string
                example: string
              partyRole:
                type: string
                example: string
              partyType:
                type: string
                example: string
              paymentForm:
                type: string
                example: string
              paymentMethod:
                type: string
                example: string
              ownershipPercentage:
                type: integer
                example: 0
              forBenefitOfOrForFurtherCredit:
                type: string
                example: string
              personalInformation:
                type: object
                properties:
                  firstName:
                    type: string
                    example: string
                  middleName:
                    type: string
                    example: string
                  lastName:
                    type: string
                    example: string
                  fullName:
                    type: string
                    example: string
                  gender:
                    type: string
                    example: string
                  dateOfBirth:
                    type: string
                    example: YYYY-MM-DD
                  birthCountry:
                    type: string
                    example: string
                  citizenshipCountry:
                    type: string
                    example: string
                  birthState:
                    type: string
                    example: string
              organisationDetails:
                type: object
                properties:
                  fullName:
                    type: string
                    example: string
                  organizationCode:
                    type: string
                    example: string
                  entityType:
                    type: string
                    example: string
                  trustDate:
                    type: string
                    example: YYYY-MM-DD
                  trustType:
                    type: string
                    example: string
                  trustTitle:
                    type: string
                    example: string
              addresses:
                type: array
                items:
                  type: object
                  properties:
                    addressId:
                      type: string
                      example: string
                    addressType:
                      type: string
                      example: string
                    line1:
                      type: string
                      example: string
                    line2:
                      type: string
                      example: string
                    line3:
                      type: string
                      example: string
                    city:
                      type: string
                      example: string
                    state:
                      type: string
                      example: string
                    postalCode:
                      type: string
                      example: string
                    postalCodeExtension:
                      type: string
                      example: string
                    country:
                      type: string
                      example: string
              bankDetails:
                type: object
                properties:
                  bankId:
                    type: string
                    example: string
                  nameOnAccount:
                    type: string
                    example: string
                  accountStatus:
                    type: string
                    example: string
                  accountType:
                    type: string
                    example: string
                  accountNumber:
                    type: string
                    example: string
                  routingNumber:
                    type: string
                    example: string
                  ibanNumber:
                    type: string
                    example: string
                  financialInstitutionName:
                    type: string
                    example: string
                  branchName:
                    type: string
                    example: string
                  bankAccountPurpose:
                    type: string
                    example: string
                  address:
                    type: object
                    properties:
                      addressId:
                        type: string
                        example: string
                      addressType:
                        type: string
                        example: string
                      line1:
                        type: string
                        example: string
                      city:
                        type: string
                        example: string
                      state:
                        type: string
                        example: string
                      postalCode:
                        type: string
                        example: string
                      country:
                        type: string
                        example: string
              identifications:
                type: array
                items:
                  type: object
                  properties:
                    identificationType:
                      type: string
                      example: string
                    identificationValue:
                      type: string
                      example: string
                    issueState:
                      type: string
                      example: string
                    issueCountry:
                      type: string
                      example: string
                    expirationDate:
                      type: string
                      example: YYYY-MM-DD
```
